.TH HanX n "17th January 1994" "HanX"
.SH NAME
HanX \- Hangul Input/Output Package in X Window System

.SH NOTICE
You can read this manual written in Hangul(HanXHangul(n)) if you are using
HanX or hangul terminal. 
If you meet unexpected result like \xxx, set LESS
environment variable to "-r". see less(1).

.SH DESCRIPTION
HanX is the result from a try to enable Hangul I/O with minimum 
modifications in X Window System. X Window System provides a good 
window system easily and many GUIs are implemented on it. Therefore, 
it becomes an standard in Unix environment. Although its usefulness, 
X Window System has not an Hangul I/O feature yet.(at least before 94.4) 
And, there is not an easy way to get the feature from public currently. 
So, this will partly save you for the present from the inconvenience 
by the Hangul I/O problem until more perfect solutions 
(probably X11R6 will be).

HanX package is composed of  some libraries and subprograms. 
To get the effects, these HanX libraries should be linked with prefered 
client programs usually dynamically or even statically. 
An easy way to do this is to replace the original X libraries 
with these libraries and recompile the clients(if needed).

HanX library is based on X11 Release 5 patch level 25.

.SH USAGE
.TP
.SB Hangul/English Toggle Key
To write down in Hangul, you should change the input language to Hangul 
by an toggle key. A key or a key combination is used. In HanX, 
it is Shift+Space key. I'll provide an way to set the toggle key by user 
later.

.TP
.SB Hangul Input
After toggling, the key inputs to the client program will be Hangul.
But, probably, you couldn't see Hangul character after some key inputs.
Because a character in Hangul comes with not a key but a sequence 
of keys, you can see after at least three key press.
For an example, to write 'HanGeul' in Hangul, the following sequece 
between parentheses should be pressed. 
{ 'Shift-Space' 'g' 'k' 's' 'r' 'm' f' 'Shift-Space' }

.TP
.SB Input Status
To help input process from problems like the above, I put a program, 
"HanXStatus".  It shows current input status and can changes it for you.
It requires additional the XView 3.0 library.

.SH ENVIRONMENT
Environment variables can be used to control HanX.
Set them before execution of X applications.
.TP
.SB HANX_INPUT_DISABLE [0|1]
1 disables Hangul input function.  The default is 0.

.TP
.SB HANX_OUTPUT_DISABLE [0|1]
1 disables Hangul output function.  The default is 0.
.TP
.SB HANX_FONT <hangul font>
sets the category of hangul fonts used with normal fonts.
"-*-*-*-*-*-*-*-*-*-*-*-*-*-*" are default (14 '-'s are here!).
.TP
.SB HANX_FONT_TRY [0|1|2|3]
selects the way based font size to associate an normal font and 
an hangul font.  0 means only internal hangul font in any size, 
1, hangul font with exactly matched size, 2, hangul font with 
same width size, 3, scaled hangul font.
If it failes, internal hangul font is used.  
The default is 1.
.TP
.SB HANX_INPUT_KEYBOARD  [2|3]
selects the keyboard layout to use in Hangul input mode.
2 means 2 beolsik, 3, 3 beolsik. ('2 beolsik' and '3 beolsik' are 
names of widely used layouts.)
The default is 2. 

.SS Examples
.LP
.nf
% setenv HANX_INPUT_DISABLE 1
% setenv HANX_OUTPUT_DISABLE 1
disables all features from HanX
.LP
.nf
% unsetenv HANX_INPUT_DISABLE 0
% unsetenv HANX_OUTPUT_DISABLE 0
enables all features from HanX
.LP
.nf
% setenv HANX_FONT "-kaist-philgi-bold-*-*-*-*-*-*-*-*-*-*-*"
makes HanX tries font associations with only these hangul fonts.
.LP
.nf
% setenv HANX_FONT_TRY 3
enables to associate normal font and scaled hangul font.
.LP
.nf
% setenv HANX_INPUT_KEYBOARD 3
changes keyboard layout to 3 beolsik.
.SH FILES
.TP
.B /usr/lib/libHanX11.*
X11 libraries from HanX
.TP
.B /usr/lib/libOrgX11.*
original libX11.* before HanX is installed
.TP
.B /usr/lib/libX11.*
X11 libraries to linked with programs.
.TP
.B /usr/bin/X11/HanXStatus
shows and changes the status of Hangul input
.TP
.B /usr/bin/X11/hxvt
xvt with some modifications related to HanX
.SH SEE ALSO
.BR X(1), ld(1), ldconfig(8), xvt(1)

.SH THANKS
I give deep thanks to Choi Uhhyung, Back Youngjoon, 
Kwon Bomjun, Chang Byounggyu, and, other members of SPARCS.
They give many ideas and much help to me. 
And, also thanks the members of Archi Lab. and, other students of KAIST.
I should specially thank Song Jaekyung.  
I borrowed important parts from the source of his popular program, 'hanterm'. 
I thank Seo Hongwon who allowed with pleasure to use his Linux machine 
to port this package.
At last, I thank Jang Seongcheol, Jung Joowon, and other friends of mine. 


.SH AUTHOR
Oh Sungkyu
is a member of SPARCS
(System Programmer's Association for Researching Computer Systems)
and also a member of Computer Architecutre Lab. in KAIST in Korea.
To contact me, use e-mail to hanmaum@baram.kaist.ac.kr,
hanmaum in ARA-BBS, KIDS-BBS, HiTEL.
